html{
    padding: 0;
    margin: 0;
}
body{
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}
.wrap{
    max-width: 960px;
    margin: 0 auto;
    padding: 3rem 0;
}
.theme-light{
    background-color: #fff;
    color: #102840;
}
.theme-dark{
    color: #e2f1f5;
    background-color: #102840;
}
header{
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 2rem;
}
header svg#logo{
    width: 10rem;
    margin-right: 2rem;
}
.theme-dark header svg{
    fill: #e2f1f5;
}
.theme-light header svg{
    fill: #102840;
}
h1{
    font-size: 1.4rem;
    text-align: center;
    margin: 0;
}
.theme-dark h2{
    color: #B8CFE5;
}
.theme-light h2{
    color: #5C7A99;
} 
.theme-dark small{
    color: #5C7A99;
}
#theme-switcher {
    width: 50px;
    height: 25px;
    background-color: #333;
    border-radius: 25px;
    display: flex;
    align-items: center;
    cursor: pointer;
    padding: 2px;
    transition: background-color 0.5s;
    overflow: hidden;
    border: 1px solid rgb(122, 163, 204);
}

#theme {
    position: relative;
    width: 100%;
    height: 100%;
}

#theme svg {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: transform 0.5s ease;
}

#moon {
    left: 5px;
}
#sun {
    right: 5px;
}
body.theme-light #theme-switcher {
    background-color: #fff;
}
body.theme-dark #theme-switcher {
    background: radial-gradient(50% 313.63% at 32% 37%, rgb(60, 99, 128) 0%, rgb(38, 69, 96) 40%, rgb(16, 40, 64) 100%);
}
body.theme-light #moon {
    transform: translateY(-50%) translateX(-60px);
}
body.theme-light #sun {
    transform: translateY(-50%) translateX(0px);
}
body.theme-dark #moon {
    transform: translateY(-50%) translateX(0px);
}
body.theme-dark #sun {
    transform: translateY(-50%) translateX(60px); 
}
ul li{
    margin-bottom: .5rem;
}
.theme-light footer{
    background-color: #ecfbff;
}
.theme-dark footer{
    background-color: rgba(32, 79, 127, 0.2);
}
.theme-light a{
    color: #1b5a97;
}
.theme-dark a{
    color: #6ab1f5;
}
.go-to{
    text-decoration: none;
}
.contacts strong,
.contacts a{
    display: inline-block;
    margin-bottom: .5rem;
}
@media (max-width: 1024px){
    header{
        flex-direction: column;
        gap: 1rem;
    }
    .wrap{
        padding-left: 1rem;
        padding-right: 1rem;
    }
}